function startHub()
	if not GetBool("savegame.mod.cinematic.complete") then
		StartLevel("intro", "MOD/tillaggaryd.xml", "intro")
		return
	end

	if GetBool("savegame.mod.museum_destroy.complete") then
		StartLevel("hub5", "MOD/mansion.xml", "hub5")
		return
	end
	
	if GetBool("savegame.mod.museum_cam_heist.complete") then
		StartLevel("hub4", "MOD/mansion.xml", "hub4")
		return
	end

	if GetBool("savegame.mod.museum_heist.complete") then
		StartLevel("hub3", "MOD/mansion.xml", "hub3")
		return
	end

	if GetBool("savegame.mod.art_heist.complete") then
		StartLevel("hub2", "MOD/mansion.xml", "hub2")
		return
	end

	if GetBool("savegame.mod.paperboy.complete") then
		StartLevel("hub1", "MOD/mansion.xml", "hub1")
		return
	else
		StartLevel("hub0", "MOD/mansion.xml", "hub0")
	end
end
